;																				
; Warteschleifen																
; Version: 01/2016																
; 4 MHz Takt																	
; 																				
; Hinweis: die Wartezeiten stimmen nur dann, wenn kein Interruptaufruf erfolgt	
; RCALL: 3 TAKTE																
;  	ret: 4 TAKTE																
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.5s Pause (20-TAKTE)														
wait_5us:	; 3 
	nop		; 1	
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop		; 10
	nop
	nop
	nop		; 13
ret			; 4 
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.50s Pause (200-TAKTE)														
wait_50us:                              
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
	rcall wait_5us
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.1ms Pause (4000-TAKTE)														
wait_1ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
	WDR
;------------
          ldi  R16, $1F
wait_1ms0:ldi  R17, $2A
wait_1ms1:dec  R17
          brne wait_1ms1
          dec  R16
          brne wait_1ms0
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 5ms Pause																	
wait_5ms:                               
	rcall wait_1ms	
	rcall wait_1ms	
	rcall wait_1ms	
	rcall wait_1ms	
	rcall wait_1ms	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 10ms Pause																
wait_10ms:                               
	rcall wait_5ms	
	rcall wait_5ms	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 20ms Pause																
wait_20ms:                               
	rcall wait_10ms	
	rcall wait_10ms	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 50ms Pause																
wait_50ms:                               
	rcall wait_10ms	
	rcall wait_10ms	
	rcall wait_10ms	
	rcall wait_10ms	
	rcall wait_10ms	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 100ms Pause																
WAIT_100ms:
	rcall wait_20ms
	rcall wait_20ms
	rcall wait_20ms
	rcall wait_20ms
	rcall wait_20ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 200ms Pause																
WAIT_200ms:
	rcall wait_100ms
	rcall wait_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 500ms Pause																
WAIT_500ms:
	rcall wait_100ms
	rcall wait_100ms
	rcall wait_100ms
	rcall wait_100ms
	rcall wait_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 1s Pause																	
WAIT_1s:
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
	rcall WAIT_100ms	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
